Register a passport webhook
curl --request POST \
--url https://signsealship.com/api/passport/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/hooks/signsealship"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com/hooks/signsealship'})
};
fetch('https://signsealship.com/api/passport/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/passport/webhooks"
payload = { "url": "https://example.com/hooks/signsealship" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signingSecret": "<string>",
"signatureHeader": "SignSealShip-Signature",
"verification": "<string>"
}{
"error": "A valid partner API key is required."
}Endpoints
Register a passport webhook
Register an https endpoint for passport.sealed events using your partner API key. The signing secret is returned exactly once — only its hash is stored. Subscriptions created this way receive only passport.sealed (no room events).
POST
/
api
/
passport
/
webhooks
Register a passport webhook
curl --request POST \
--url https://signsealship.com/api/passport/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/hooks/signsealship"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com/hooks/signsealship'})
};
fetch('https://signsealship.com/api/passport/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/passport/webhooks"
payload = { "url": "https://example.com/hooks/signsealship" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signingSecret": "<string>",
"signatureHeader": "SignSealShip-Signature",
"verification": "<string>"
}{
"error": "A valid partner API key is required."
}Authorizations
Partner API key. Send as Authorization: Bearer sss_pk_....
Body
application/json
Your https webhook endpoint.